{% extends 'base.html' %}

{% block header %}
<h1>{% block title %}update_profile{% endblock %}</h1>
{% endblock %}

{% block styles %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/list.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/header.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/button.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/grid.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/card.min.css">
{% endblock %}

<div class="row">
  {% block content %}
   <form method=post enctype=multipart/form-data>
      <div class="field">
        <label>Name</label>
        <input type="text" name="name" value="{{ request.form['name'] or g.user.name }}" placeholder="Name" required>
      </div>
      <div class="field">
        <label>Email</label>
        <input type="email" name="email" value="{{ request.form['email'] or g.user.email }}" required>
      </div>
      <div class="field">
        <label>Bio</label>
        <input type="text" name="bio" value="{{ request.form['bio'] or g.user.bio }}" required>
      </div>
      <div class="field">
        <label>Profile Picture</label>
        <input type=file name="file">
      </div>
      <hr>
      <button class="ui button" type="submit">Submit</button>
    </form>
  {% endblock %}
</div>

